{% extends 'base.html' %}
{% block content %}
{% spaceless %}
<div class="container-fluid">
<div class="row">
  {% if request.user.is_authenticated %}
  <!--OLD CODE:
  <h1>List of all cars:</h1>
  <p><strong>Make | Model | Type | Year</strong></p>
  {% for car in cars %}
    <div class = "carDisplay">
      {{ car.Make }} | {{ car.ModelName }} | {{ car.VehicleType }} | {{ car.Year }}
    </div>
  {% endfor %}
  -->
   {% for car,price,url in cars_prices_url %}

      <div class="col-md-3">
      <div class="card card-cascade bg-light card-img-overlay" style="width:300px">
        <img class="card-img-top" src="{{ url }}" height="200px" width="200px" alt="Card image" style="width:100%">
        <div class="card-body">
          <h4 class="card-title" align="center"><strong>{{ car.ModelName }}</strong></h4>
          <p class="card-text" align="center">Starting MSRP: ${{ price.BaseMSRP }}</p>
          <form method="post">
          {% csrf_token %}
          {{ form.as_p }}
            <button type="submit" name="add_to_fav" value="{{ car.id }}" class="btn btn-primary">Add to Favorites</button>
          </form>
        </div>
      </div>
      </div>

      {% endfor %}
  {% else %}
  <h2 align="center"> Not all good things are free.<br>Please <a href="login">login</a> or <a href="{% url "create_profile" %}">sign up</a> to view our website.</h2>
  {% endif %}
</div>
</div>
{% endspaceless %}
{% endblock %}
